Bio Radio SDK - Xamarin Android: CommonDeviceAPI.Android.AndroidTransportProvider Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | List of all members
CommonDeviceAPI.Android.AndroidTransportProvider Class Reference

Class android transport provider. More...

Inheritance diagram for CommonDeviceAPI.Android.AndroidTransportProvider:

## Public Member Functions

| AndroidTransportProvider ()
| Android transport provider constructor. More...
IDeviceTransport | GetBluetoothTransport (long macId)
| Get a blue tooth transport. More...
IDeviceTransport | GetBluetoothTransport (string deviceId)
| Get a blue tooth transport. More...
IDeviceTransport | GetSerialTransport (string comPort)
| Get serial transport. More...
IDeviceTransport | GetTcpTransport (string hostname, int port)
| Get TCP transport. More...

## Detailed Description

Class android transport provider.

## Constructor & Destructor Documentation

## ◆ AndroidTransportProvider()

CommonDeviceAPI.Android.AndroidTransportProvider.AndroidTransportProvider | ( |  | ) |

Android transport provider constructor.

## Member Function Documentation

## ◆ GetBluetoothTransport() [1/2]

IDeviceTransport CommonDeviceAPI.Android.AndroidTransportProvider.GetBluetoothTransport | ( | long | macId | ) |

Get a blue tooth transport.

Parameters

  macId | Mac Id as a long.

Returns
  Return a blue tooth transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.

## ◆ GetBluetoothTransport() [2/2]

IDeviceTransport CommonDeviceAPI.Android.AndroidTransportProvider.GetBluetoothTransport | ( | string | deviceId | ) |

Get a blue tooth transport.

<param name="deviceId"Mac Id as a string.>

Returns
  Return a blue tooth transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.

## ◆ GetSerialTransport()

IDeviceTransport CommonDeviceAPI.Android.AndroidTransportProvider.GetSerialTransport | ( | string | comPort | ) |

Get serial transport.

Parameters

  comPort | Com port as a string.

Returns

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.

## ◆ GetTcpTransport()

IDeviceTransport CommonDeviceAPI.Android.AndroidTransportProvider.GetTcpTransport | ( | string | hostname,
|  | int | port
| ) |  |

Get TCP transport.

Parameters

  hostname | Hostname as a string.
  port | Port as an integer.

Returns
  Return Tcp transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.